commit:     67939163ee760b619195d04699a5ec9d6c5d0c86
Author:     Patrick McLean <chutzpah <AT> gentoo <DOT> org>
AuthorDate: Wed Nov 11 03:10:45 2015 +0000
Commit:     Patrick McLean <chutzpah <AT> gentoo <DOT> org>
CommitDate: Wed Nov 11 03:10:45 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=67939163

dev-python/python-iptables: Version bump

Package-Manager: portage-2.2.24

 dev-python/python-iptables/Manifest                |  1 +
 .../python-iptables/python-iptables-0.10.0.ebuild  | 37 ++++++++++++++++++++++
 2 files changed, 38 insertions(+)

diff --git a/dev-python/python-iptables/Manifest 
b/dev-python/python-iptables/Manifest
index b1bf9aa..76a78ce 100644
--- a/dev-python/python-iptables/Manifest
+++ b/dev-python/python-iptables/Manifest
@@ -1,2 +1,3 @@
+DIST python-iptables-0.10.0.tar.gz 72897 SHA256 
9118ce089b2732bae8647575c1c15d6e9af4f367c0f47ea27b404e2e02dcb5ca SHA512 
3e6a77149b60bf0d408739827c9c73c759542b28d746c2d6636e7c60aa0d9f5ec6deba62a40b938629747788849eaf539c9950c84a022278e64fba24acc1171f
 WHIRLPOOL 
c481603b415ba5567567b886288c415d66d4a85c0622e4df08ab1534f273ae7ea2b1f564ec3320ca748baa54b0ed7a3e1e2f4d357fc4e046990d7cfd722582ec
 DIST python-iptables-0.8.0.tar.gz 38815 SHA256 
7a80507fafdfe0448f604678e127b7dc6236dc7fe61771b3b56fd8199464ac46 SHA512 
8cc3a88f1f101614597ad6e7712dd229e08b9d5fb1fc0383142746faad7f9e265ccdb6d036948bbdbf39c9021250ab98e7de36c7dc78e231f581d783431f5510
 WHIRLPOOL 
36ab036e4a30be4006c00bc605855c29382545ab19098af49abeb2eca0f91de5cd5608596e4d89b6efd013df58b740d886e2e362e6d0cc4aa7905afe7a7d0e50
 DIST python-iptables-0.9.0.tar.gz 72999 SHA256 
80eee356beb3cfbe378a214719c5756bb665f9edfa04cd75e3a32e6e18a1f484 SHA512 
5cffc83f496876346faa5b33a45be565fab2da41d25f9793db0788a80cb6835b33f474008febee8002d7af6fb052262881326adf6d69592aa96d750b2f921bd4
 WHIRLPOOL 
18872e6b7a3016cb2449bb1195fce874dee1d62df2aaa2bbea605f3055bf18e6c298d1dd14da9b1cb34196477470be1cdf60255df5521b734b052a3a88247ea0

diff --git a/dev-python/python-iptables/python-iptables-0.10.0.ebuild 
b/dev-python/python-iptables/python-iptables-0.10.0.ebuild
new file mode 100644
index 0000000..3c30722
--- /dev/null
+++ b/dev-python/python-iptables/python-iptables-0.10.0.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+PYTHON_COMPAT=( python{2_7,3_3,3_4} )
+inherit distutils-r1
+
+DESCRIPTION="Python bindings for iptables"
+HOMEPAGE="https://github.com/ldx/python-iptables";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="doc"
+
+DEPEND="net-firewall/iptables
+       doc? ( dev-python/sphinx[${PYTHON_USEDEP}] )"
+RDEPEND="${DEPEND}"
+
+# tests manipulate live iptables rules, so disable them by default
+
+python_prepare_all() {
+       # Prevent un-needed d'loading during doc build
+       sed -e "s/, 'sphinx.ext.intersphinx'//" -i doc/conf.py || die
+       distutils-r1_python_prepare_all
+}
+
+python_compile_all() {
+       use doc && emake -C doc html
+}
+
+python_install_all() {
+       use doc && local HTML_DOCS=( doc/_build/html/. )
+       distutils-r1_python_install_all
+}

Reply via email to